blob: d3bcb70cad170a8d889858f76f68dac97dcd9108 (
plain) (
blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
|
From 2a696e782445c020db606e92f49a7afb8b9bda1a Mon Sep 17 00:00:00 2001
From: "A. Wilcox" <AWilcox@Wilcox-Tech.com>
Date: Sun, 20 May 2018 02:10:36 -0500
Subject: [PATCH] abuild: continue faking POSIX support for now
---
abuild.in | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/abuild.in b/abuild.in
index bd32f4e..e3a35ca 100644
--- a/abuild.in
+++ b/abuild.in
@@ -1,4 +1,4 @@
-#!/bin/ash -e
+#!/bin/sh -e
# abuild - build apk packages (light version of makepkg)
# Copyright (c) 2008-2015 Natanael Copa <ncopa@alpinelinux.org>
@@ -441,7 +441,7 @@ default_unpack() {
tar -C "$srcdir" -xf "$s" || return 1;;
*.tar.gz|*.tgz)
msg "Unpacking $s..."
- $gunzip -c "$s" | tar -C "$srcdir" -x || return 1;;
+ $gunzip -c "$s" | tar -C "$srcdir" -f - -x || return 1;;
*.tar.bz2)
msg "Unpacking $s..."
tar -C "$srcdir" -jxf "$s" || return 1;;
--
2.15.0
|